Subject: [RFC] Timeouts on HTTP requests

From: Nick Hengeveld <[email-masked]>
Date: Tue, 18 Oct 2005 16:51:04 -0700

Our QA department today checked what would happen if the network connection
went away completely in the middle of an HTTP transfer.  It looks as though
the answer is that git-http-fetch sits there forever waiting for CURL to
return something.

I'm thinking of taking advantage of CURL's capability of aborting a request
if the transfer rate drops below a threshold for a specified length of time
using a new pair of environment variables and/or config file settings:

GIT_HTTP_LOW_SPEED_LIMIT/http.lowspeedlimit
GIT_HTTP_LOW_SPEED_TIME/http.lowspeedtime

Does this make sense, and if so should there be defaults if nothing is
specified?

-- 
For a successful technology, reality must take precedence over public
relations, for nature cannot be fooled.